ChatTab = class(Turbine.UI.Window);

function ChatTab:Constructor()
    self.tabHeight = 26;
    self.indent = 0;

    Turbine.UI.Window.Constructor(self);
    self:SetVisible(true);
    self:SetHeight(self.tabHeight);

    self.leftBackground = Turbine.UI.Control();
    self.leftBackground:SetParent(self);
    self.leftBackground:SetHeight(self.tabHeight);
    self.leftBackground:SetMouseVisible(false);
    
    self.rightBackground = Turbine.UI.Control();
    self.rightBackground:SetParent(self);
    self.rightBackground:SetSize(13, self.tabHeight);
    self.rightBackground:SetMouseVisible(false);

    self.text = Turbine.UI.Label();
    self.text:SetParent(self);
    self.text:SetTop(2);
    self.text:SetHeight(self.tabHeight - 2);
	self.text:SetFont(Turbine.UI.Lotro.Font.Verdana14);
	self.text:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.text:SetOutlineColor(Turbine.UI.Color.Black);
	self.text:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
    self.text:SetMouseVisible(false);
end

function ChatTab:SetParent(parent)
    self.parent = parent;
end

function ChatTab:SetHighlight(highlight)
    if (highlight) then
        self.leftBackground:SetBackground(0x41000258);
        self.rightBackground:SetBackground(0x4100025C);
        self.text:SetForeColor(Turbine.UI.Color.PaleGoldenrod);
    else
        self.leftBackground:SetBackground(0x41000259);
        self.rightBackground:SetBackground(0x4100025D);
        self.text:SetForeColor(Turbine.UI.Color.Goldenrod);
    end
end

function ChatTab:SetLength(length)
    self:SetRotation(nil);
    Turbine.UI.Window.SetSize(self, length, self.tabHeight);
    self:SetRotation({ x = 0; y = 0; z = 90 });
    self:SetSize(length, length);
    self.leftBackground:SetWidth(length - 10);
    self.text:SetWidth(length);
    self.rightBackground:SetLeft(length - 10);
    self:SetIndent();
end

function ChatTab:SetText(text)
    self.text:SetText(text);
end

function ChatTab:SetIndent(indent)
    if (not indent) then
        indent = self.indent;
    end
    if (self.parent) then
        local left, top = self.parent:PointToScreen(0, 0);
        self:SetTop(top + self.parent:GetHeight() - 1 - indent - self:GetHeight());
    end
    self.indent = indent;
end
