-- Shorthand for languages
local en = Turbine.Language.English;
local fr = Turbine.Language.French;
local de = Turbine.Language.German;
local ru = Turbine.Language.Russian;

local text = {};

-- Hello message that appears when plugin is loaded
text.HelloMessage = {
    [en] = "<u><rgb=#DAA520>ChatFilters v<version>, by Thurallor</rgb></u>";
    [de] = "<u><rgb=#DAA520>ChatFilters v<version> von Thurallor</rgb></u>";
    [fr] = "?";
    [ru] = "<u><rgb=#DAA520>ChatFilters v<version> от Thurallor</rgb></u>"
};

-- Chat context menu
text.ContextMenu = {};
text.ContextMenu.RenameTab = {
    [en] = "Rename tab";
    [ru] = "?";
}
text.ContextMenu.CreateNewTab = {
    [en] = "Create new tab";
    [ru] = "?";
}
text.ContextMenu.DeleteThisTab = {
    [en] = "Delete this tab";
    [ru] = "?";
}
text.ContextMenu.ChangeFilters = {
    [en] = "Change Filters";
    [ru] = "";
}
text.ContextMenu.ChangeTextColors = {
    [en] = "Change text colors";
    [ru] = "?";
}
text.ContextMenu.ChatLogging = {
    [en] = "Chat logging";
    [ru] = "?";
}

text.ContextMenu.ChatLog = {};
text.ContextMenu.ChatLog.StartLogging = {
    [en] = "Start logging";
    [ru] = "?";
}
text.ContextMenu.ChatLog.CaptureChat = {
    [en] = "Capture Chat";
    [ru] = "?";
}

text.ContextMenu.Channels = {};
text.ContextMenu.Channels.Advancement = {
    [en] = "Advancement";
    [ru] = "?";
}
text.ContextMenu.Channels.Advice = {
    [en] = "Advice";
    [ru] = "?";
}
text.ContextMenu.Channels.EnemyCombat = {
    [en] = "Combat Enemy";
    [ru] = "?";
}
text.ContextMenu.Channels.Death = {
    [en] = "Combat Event";
    [ru] = "?";
}
text.ContextMenu.Channels.PlayerCombat = {
    [en] = "Combat Player";
    [ru] = "?";
}
text.ContextMenu.Channels.Emote = {
    [en] = "Emote";
    [ru] = "?";
}
text.ContextMenu.Channels.Error = {
    [en] = "Error";
    [ru] = "?";
}
text.ContextMenu.Channels._EventBroadcast = { -- not sure of channel ID
    [en] = "Event Broadcast";
    [ru] = "?";
}
text.ContextMenu.Channels.Fellowship = {
    [en] = "Fellowship";
    [ru] = "?";
}
text.ContextMenu.Channels.Kinship = {
    [en] = "Kinship";
    [ru] = "?";
}
text.ContextMenu.Channels.LFF = {
    [en] = "LFF";
    [ru] = "?";
}
text.ContextMenu.Channels.FellowLoot = {
    [en] = "Loot (Fellow)";
    [ru] = "?";
}
text.ContextMenu.Channels.SelfLoot = {
    [en] = "Loot (Self)";
    [ru] = "?";
}
text.ContextMenu.Channels.OOC = {
    [en] = "OOC";
    [ru] = "?";
}
text.ContextMenu.Channels.Officer = {
    [en] = "Officer";
    [ru] = "?";
}
text.ContextMenu.Channels.Quest = {
    [en] = "Quest";
    [ru] = "?";
}
text.ContextMenu.Channels.Roleplay = {
    [en] = "RP";
    [ru] = "?";
}
text.ContextMenu.Channels.Raid = {
    [en] = "Raid";
    [ru] = "?";
}
text.ContextMenu.Channels.Regional = {
    [en] = "Regional";
    [ru] = "?";
}
text.ContextMenu.Channels.Say = {
    [en] = "Say";
    [ru] = "?";
}
text.ContextMenu.Channels.Standard = {
    [en] = "Standard";
    [ru] = "?";
}
text.ContextMenu.Channels.Tell = {
    [en] = "Tell";
    [ru] = "?";
}
text.ContextMenu.Channels.Trade = {
    [en] = "Trade";
    [ru] = "?";
}
text.ContextMenu.Channels.Tribe = {
    [en] = "Tribe";
    [ru] = "?";
}
text.ContextMenu.Channels.UserChat1 = {
    [en] = "User Chat 1";
    [ru] = "?";
}
text.ContextMenu.Channels.UserChat2 = {
    [en] = "User Chat 2";
    [ru] = "?";
}
text.ContextMenu.Channels.UserChat3 = {
    [en] = "User Chat 3";
    [ru] = "?";
}
text.ContextMenu.Channels.UserChat4 = {
    [en] = "User Chat 4";
    [ru] = "?";
}
text.ContextMenu.Channels.World = {
    [en] = "World";
    [ru] = "?";
}

-- Add translations to the global database (see Thurallor.Common.Utils.Locale.lua)
L:AddText(text);

L:SetLanguage(Turbine.Language.Russian);
